Gecode::MetaInfo Class Reference

Information passed by meta search engines. More...

`#include <core.hpp>`

## Public Types

enum | Type { RESTART , PORTFOLIO }
| Which type of information is provided. More...

## Protected Attributes

const Type | t
| Type of information.

## Restart-based information

const unsigned long int | r
| Number of restarts.
const unsigned long int | s
| Number of solutions since last restart.
const unsigned long int | f
| Number of failures since last restart.
const Space * | l
| Last solution found.
const NoGoods & | ng
| No-goods from restart.
unsigned long int | restart (void) const
| Return number of restarts.
unsigned long int | solution (void) const
| Return number of solutions since last restart.
unsigned long int | fail (void) const
| Return number of failures since last restart.
const Space * | last (void) const
| Return last solution found (possibly NULL).
const NoGoods & | nogoods (void) const
| Return no-goods recorded from restart.

## Portfolio-based information

const unsigned int | a
| Number of asset in portfolio.
unsigned int | asset (void) const
| Return number of asset in portfolio.

## Constructors depending on type of engine

| MetaInfo (unsigned long int r, unsigned long int s, unsigned long int f, const Space *l, NoGoods &ng)
| Constructor for restart-based engine.
| MetaInfo (unsigned int a)
| Constructor for portfolio-based engine.
Type | type (void) const
| Return type of information.

## Detailed Description

Information passed by meta search engines.

Definition at line 1613 of file core.hpp.

## Member Enumeration Documentation

## Type

enum Gecode::MetaInfo::Type

Which type of information is provided.

Enumerator
RESTART | Information is provided by a restart-based engine.
PORTFOLIO | Information is provided by a portfolio-based engine.

Definition at line 1616 of file core.hpp.

## Constructor & Destructor Documentation

## MetaInfo() [1/2]

Gecode::MetaInfo::MetaInfo | ( | unsigned long int | r,
|  | unsigned long int | s,
|  | unsigned long int | f,
|  | const Space * | l,
|  | NoGoods & | ng )

inline

Constructor for restart-based engine.

Definition at line 3070 of file core.hpp.

## MetaInfo() [2/2]

Gecode::MetaInfo::MetaInfo | ( | unsigned int | a | ) |

inline

Constructor for portfolio-based engine.

Definition at line 3078 of file core.hpp.

## Member Function Documentation

## type()

MetaInfo::Type Gecode::MetaInfo::type | ( | void |  | ) | const

inline

Return type of information.

Definition at line 3082 of file core.hpp.

## restart()

unsigned long int Gecode::MetaInfo::restart | ( | void |  | ) | const

inline

Return number of restarts.

Definition at line 3086 of file core.hpp.

## solution()

unsigned long int Gecode::MetaInfo::solution | ( | void |  | ) | const

inline

Return number of solutions since last restart.

Definition at line 3091 of file core.hpp.

## fail()

unsigned long int Gecode::MetaInfo::fail | ( | void |  | ) | const

inline

Return number of failures since last restart.

Definition at line 3096 of file core.hpp.

## last()

const Space * Gecode::MetaInfo::last | ( | void |  | ) | const

inline

Return last solution found (possibly NULL).

Definition at line 3101 of file core.hpp.

## nogoods()

const NoGoods & Gecode::MetaInfo::nogoods | ( | void |  | ) | const

inline

Return no-goods recorded from restart.

Definition at line 3106 of file core.hpp.

## asset()

unsigned int Gecode::MetaInfo::asset | ( | void |  | ) | const

inline

Return number of asset in portfolio.

Definition at line 3111 of file core.hpp.

## Member Data Documentation

## t

const Type Gecode::MetaInfo::t

protected

Type of information.

Definition at line 1624 of file core.hpp.

## r

const unsigned long int Gecode::MetaInfo::r

protected

Number of restarts.

Definition at line 1628 of file core.hpp.

## s

const unsigned long int Gecode::MetaInfo::s

protected

Number of solutions since last restart.

Definition at line 1630 of file core.hpp.

## f

const unsigned long int Gecode::MetaInfo::f

protected

Number of failures since last restart.

Definition at line 1632 of file core.hpp.

## l

const Space* Gecode::MetaInfo::l

protected

Last solution found.

Definition at line 1634 of file core.hpp.

## ng

const NoGoods& Gecode::MetaInfo::ng

protected

No-goods from restart.

Definition at line 1636 of file core.hpp.

## a

const unsigned int Gecode::MetaInfo::a

protected

Number of asset in portfolio.

Definition at line 1641 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp